/*
 * Copyright (c) 2005 DocJava, Inc. All Rights Reserved.
 */
package addbk.JAddressBook;

import gui.run.DataMiningBean;
import gui.run.RunMenu;
import gui.run.RunMenuItem;
import gui.In;

/**
 * Copyright DocJava, inc. User: lyon
 * <p/>
 * Date: Apr 22, 2005
 * <p/>
 * Time: 7:06:35 AM
 */
public class DataMiningMenu extends RunMenu   {
    private DataMiningBean dataMiningBean = DataMiningBean.restore();
    private RunIndexPanel runIndexPanel;

    public DataMiningMenu(RunIndexPanel runIndexPanel){
        super("[Data Mining");
        this.runIndexPanel = runIndexPanel;
        initMenuItems();

    }

    private void initMenuItems() {
        add(new RunMenuItem("Scan 4 ct Lawyers") {
            public void run() {
                AddressDataBase adb = AddressDataBase.getAddressBookDatabase();
                AddressUrlUtils.scanForLawyers();
                adb.sort();
                runIndexPanel.updateLabels();
            };
        });  //
        add(new RunMenuItem("Scan 4 ....") {
            public void run() {
                In.message("e-mail lyon@docjava.com with a feature request...");
            };
        });

    }

    private void scan4ComputerCompanies() {
        AddressDataBase adb = AddressDataBase.getAddressBookDatabase();
        AddressUrlUtils.scanForComputerCompanies();
        adb.sort();
        runIndexPanel.updateLabels();
    }

    public DataMiningBean getDataMiningBean() {
        return dataMiningBean;
    }
}
